Package org.pushingpixels.lafwidget

# Class LafWidgetAdapter<T extends JComponent>

java.lang.Object
org.pushingpixels.lafwidget.LafWidgetAdapter<T>

All Implemented Interfaces:
  `LafWidget<T>`

Direct Known Subclasses:
  `AutoScrollWidget`, `DesktopIconHoverPreviewWidget`, `EditContextMenuWidget`, `GhostAnimationWidget`, `LockBorderWidget`, `MenuSearchWidget`, `PasswordStrengthCheckerWidget`, `ScrollPaneSelectorWidget`, `SelectAllOnFocusGainWidget`, `SelectOnEscapeWidget`, `TabHoverPreviewWidget`, `TabOverviewDialogWidget`, `TabPagerWidget`, `TreeDragAndDropWidget`

public abstract class LafWidgetAdapter<T extends JComponent> extends Object implements LafWidget<T>
Base implementation of `LafWidget` interface.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected T`
`jcomp`
Associated component.

### Fields inherited from interface org.pushingpixels.lafwidget.LafWidget

`AUTO_SCROLL, COMPONENT_PREVIEW_PAINTER, HAS_LOCK_ICON, IGNORE_GLOBAL_LOCALE, PASSWORD_STRENGTH_CHECKER, TABBED_PANE_PREVIEW_PAINTER, TEXT_EDIT_CONTEXT_MENU, TEXT_FLIP_SELECT_ON_ESCAPE, TEXT_SELECT_ON_FOCUS, TREE_AUTO_DND_SUPPORT`

## Constructor Summary

Constructors
Constructor
Description
`LafWidgetAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`installComponents()`
Installs components for the associated component.
`void`
`installDefaults()`
Installs default settings for the associated component.
`void`
`installListeners()`
Installs listeners for the associated component.
`void`
`installUI()`
Installs UI on the associated component.
`void`
`setComponent(T jcomp)`
Associates a component with `this` widget.
`void`
`uninstallComponents()`
Uninstalls components for the associated component.
`void`
`uninstallDefaults()`
Uninstalls default settings for the associated component.
`void`
`uninstallListeners()`
Uninstalls listeners for the associated component.
`void`
`uninstallUI()`
Uninstalls UI on the associated component.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.pushingpixels.lafwidget.LafWidget

`requiresCustomLafSupport`

## Field Details

### jcomp

protected T extends JComponent jcomp
Associated component.

## Constructor Details

### LafWidgetAdapter

public LafWidgetAdapter()

## Method Details

### setComponent

public void setComponent(T jcomp)
Description copied from interface: `LafWidget`
Associates a component with `this` widget.

Specified by:
  `setComponent` in interface `LafWidget<T extends JComponent>`
Parameters:
  `jcomp` - Component.

### installUI

public void installUI()
Description copied from interface: `LafWidget`
Installs UI on the associated component.

Specified by:
  `installUI` in interface `LafWidget<T extends JComponent>`

### installComponents

public void installComponents()
Description copied from interface: `LafWidget`
Installs components for the associated component.

Specified by:
  `installComponents` in interface `LafWidget<T extends JComponent>`

### installDefaults

public void installDefaults()
Description copied from interface: `LafWidget`
Installs default settings for the associated component.

Specified by:
  `installDefaults` in interface `LafWidget<T extends JComponent>`

### installListeners

public void installListeners()
Description copied from interface: `LafWidget`
Installs listeners for the associated component.

Specified by:
  `installListeners` in interface `LafWidget<T extends JComponent>`

### uninstallUI

public void uninstallUI()
Description copied from interface: `LafWidget`
Uninstalls UI on the associated component.

Specified by:
  `uninstallUI` in interface `LafWidget<T extends JComponent>`

### uninstallComponents

public void uninstallComponents()
Description copied from interface: `LafWidget`
Uninstalls components for the associated component.

Specified by:
  `uninstallComponents` in interface `LafWidget<T extends JComponent>`

### uninstallDefaults

public void uninstallDefaults()
Description copied from interface: `LafWidget`
Uninstalls default settings for the associated component.

Specified by:
  `uninstallDefaults` in interface `LafWidget<T extends JComponent>`

### uninstallListeners

public void uninstallListeners()
Description copied from interface: `LafWidget`
Uninstalls listeners for the associated component.

Specified by:
  `uninstallListeners` in interface `LafWidget<T extends JComponent>`